#ifndef POWERMANAGER_H
#define POWERMANAGER_H

#include "Arduino.h"
#include "definition.h"
#include <user_interface.h>

class PowerManager
{
  friend class SAB;
  
  public:
    enum PowerType { BATTERY = 0, USB };
    //Data structure for the battery info
    struct PowerInfo
    {
      PowerType powerType;
      unsigned char level;
    };
    
    ~PowerManager();
    
   PowerManager::PowerInfo getPowerInfo(const uint16_t nbOfMeasures = 5) const;
   bool setCpuFreq(uint8_t frequency);
  protected:
    PowerManager();
  private:
};

#endif //POWERMANAGER_H
